Bug 446652 - Workspace Chooser warns of "Overwrite" when the workspace hasn't changed yet.
Summary: Workspace Chooser warns of "Overwrite" when the workspace hasn't changed yet.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Resource Management (show other bugs)
Version: 5.0.0-beta5
Platform: Other Linux
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-07 22:59 UTC by Eoin O'Neill
Modified: 2022-07-13 08:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eoin O'Neill 2021-12-07 22:59:32 UTC
SUMMARY
When you save a workspace with a name, it will immediately change the button to "Overwrite" even before anything has changed with the workspace. It's not a problem that it says overwrite, but it results in the overwriting process not being very responsive. (E.G. when you overwrite a workspace, there's no visual feedback that the overwrite was successful.)


STEPS TO REPRODUCE
1. Create a custom workspace. Save it as "Test Workspace".

OBSERVED RESULT
Immediately after saving your workspace, the button warns you it will "overwrite" even though it should be the same workspace. 

EXPECTED RESULT
The button should either be inactive or provide feedback to the user that the workspace has not changed.
Comment 1 tomtomtomreportingin 2021-12-07 23:02:58 UTC
I think a good alternative solution to the feedback problem would be clearing the naming bar when a workspace is created/overwritten.
Comment 2 Halla Rempt 2022-07-13 08:47:51 UTC
Git commit 4e32d7141f0754bd696fedc0153450ad05602b1c by Halla Rempt.
Committed on 13/07/2022 at 08:46.
Pushed by rempt into branch 'master'.

Clear the name edit of the workspace after saving

There is no such thing as a current workspace, so clear the workspace
name after saving the current layout to a named workspace.

M  +1    -0    libs/ui/widgets/kis_workspace_chooser.cpp

https://invent.kde.org/graphics/krita/commit/4e32d7141f0754bd696fedc0153450ad05602b1c
Comment 3 Halla Rempt 2022-07-13 08:47:54 UTC
Git commit 0eb2645fec03901aac790be46ae01bd121f4577b by Halla Rempt.
Committed on 13/07/2022 at 08:47.
Pushed by rempt into branch 'krita/5.1'.

Clear the name edit of the workspace after saving

There is no such thing as a current workspace, so clear the workspace
name after saving the current layout to a named workspace.
(cherry picked from commit 4e32d7141f0754bd696fedc0153450ad05602b1c)

M  +1    -0    libs/ui/widgets/kis_workspace_chooser.cpp

https://invent.kde.org/graphics/krita/commit/0eb2645fec03901aac790be46ae01bd121f4577b